<?php

namespace App\ViewModels\FormaPagamento\FormaPagamentoRegistrationViewModel;

use App\Utils\Entity;

class PixRegistrationViewModel extends Entity {
	protected $chave;
	protected $valor;
	
	public static function builder(): PixRegistrationViewModelBuilder {

		$pix_registration_view_model_builder = new PixRegistrationViewModelBuilder();
		return $pix_registration_view_model_builder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getChave() {

		return $this->chave;

	}
	
	/**
	 *
	 * @return mixed
	 */
	public function getValor() {
		
		return $this->valor;
		
	}
	

	/**
	 *
	 * @param mixed $descricao
	 */
	public function setChave($chave): void {

		$this->chave = $chave;

	}

	
	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor): void {

		$this->valor = $valor;

	}

	
}
